#!/usr/bin/gnuplot

set term post eps enh color dashed
set out "chi2_VIS.eps"
set size 1.0,0.7

set xl "{/Helvetica-Oblique B}/{/Symbol l} [cycles]"
set yl "{/Helvetica-Oblique V }^{2} [] (shifted by dataset number)"

set xr [0:4.0e8]

set xtics (\
  "0,5{\264}10^8" 0.5e8,\
  "1,0{\264}10^8" 1.0e8,\
  "1,5{\264}10^8" 1.5e8,\
  "2,0{\264}10^8" 2.0e8,\
  "2,5{\264}10^8" 2.5e8,\
  "3,0{\264}10^8" 3.0e8,\
  "3,5{\264}10^8" 3.5e8,\
  "4,0{\264}10^8" 4.0e8 \
  )
set ytics 5
set mytics 5
set grid ytics mytics lc 9
set zeroaxis
set key width -6 spacing 1.1

set rmargin 2.7

p \
  "visibility.dat" u (sqrt($2**2+$3**2)/$4):($5+$6)   t "synthetic visibility" w p lt 7 pt 1,\
  "Vis.dat"        u (sqrt($2**2+$3**2)/$4):($6+$8):7 t "observed visibility" w err lt 3 pt 1 ps 0.5,\
  "chi2_VIS.dat"   u (sqrt($2**2+$3**2)/$4):($5+$7)   t "residua" w l lt 1 lw 1,\
  "<awk '($NF+0>100)' chi2_VIS.dat" u (sqrt($2**2+$3**2)/$4):($5+$7) t "{/Symbol c}^2 > 100" w p lt 1 pt 6 ps 1.0
#pa -1

q



