#!/usr/bin/gnuplot

sigma = 5.670373e-8  # W m^-2 K^-4
R_S = 6.957e8  # m, from IAU 2015
L_S = 3.846e26  # W

L(R,T_eff) = 4.*pi*R**2 * sigma*T_eff**4

set term x11

set xl "iter []"
set yl "L_2 [L_S]"

p "chi2_func.tmp" u 0:(L($28*R_S,$24)/L_S) w l lt 2
pa -1

set term png small
set out "L2_iter.png"
rep

