#!/usr/bin/gnuplot

sigma = 5.670373e-8  # W m^-2 K^-4
R_S = 6.957e8  # m, from IAU 2015
L_S = 3.846e26  # W

L(R,T_eff) = 4.*pi*R**2 * sigma*T_eff**4

set term x11

set xl "iter []"
set yl "L_bol [L_S]"

set logscale y

p \
  "chi2_func.tmp" u 0:(L($27*R_S,$23)/L_S) t "L_1" w l lt 1,\
  "chi2_func.tmp" u 0:(L($28*R_S,$24)/L_S) t "L_2" w l lt 2,\
  "chi2_func.tmp" u 0:(L($29*R_S,$25)/L_S) t "L_3" w l lt 3,\
  "chi2_func.tmp" u 0:(L($30*R_S,$26)/L_S) t "L_4" w l lt 4
pa -1

set term png small
set out "L_iter.png"
rep

